{% assign hasEvents = false %}
{% for event in site.data.events %}
  {% capture nowunix %}{{'now' | date: '%s'}}{% endcapture %}
  {% capture posttime %}{{event.date | date: '%s'}}{% endcapture %}
  {% if posttime >= nowunix and forloop.index0 <= include.totalEvents %}
    {% assign hasEvents = true %}
    <div class="col-xs-12 {%if include.grid == 2%}col-sm-6{%endif%}{%if include.grid == 3%}col-sm-4{%endif%}{%if include.grid == 4%}col-sm-6 col-md-4 col-lg-3{%endif%}">
      <div class="thumbnail">
        <div class="row">
          <div class="col-xs-12 col-sm-4">
            <img data-original="/assets/events/{{event.date | date: "%F"}}.jpg" class="lazy img-responsive">
          </div>
          <div class="col-xs-12 col-sm-8">
            <div class="caption">
              <h3 class="margin-top lg-no-margin">{{ event.title }}</h3>
              <p><small>{{ event.date | date: "%d %B %Y" }}</small></p>
              <p>{{ event.description }}</p>
              <p>
                <a href="{{ event.link }}" class="btn btn-primary" role="button" {% if event.external != false %}target="_blank"{% endif %}>
                  {% if event.external == "facebook" %}<img src="/assets/facebook.svg">{% endif %}
                  View Event
                </a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% endif %}
{% endfor %}
{% if hasEvents == false %}
  <div class="col-xs-12">
    No upcoming events found. Please check back soon!
  </div>
{% endif %}
